require File.expand_path(File.dirname(__FILE__) + '/Person')
require 'restforce'

class SalesforceClient

	def initialize(username, password, security_token, client_id, client_secret)
		
		@credential = Restforce.new :username => username,
								    :password => password,
								    :security_token => security_token,
								    :client_id => client_id,
								    :client_secret => client_secret
	end

	def create(person)
		attributes = { FirstName: person.name,
		               LastName: person.last_name,
		           	   Email: person.email,
		           	   Company: person.company,
		           	   Title: person.job_title,
		           	   Phone: person.phone,
		           	   Website: person.website	
		           	}
		@credential.create!('Lead', attributes)
	end
end
